﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Controls.Primitives;

namespace testXamGridApp
{
    public class CustomDatePicker : DatePicker
    {
        public string SelectedText
        {
            get { return (string)GetValue(SelectedTextProperty); }
            set { SetValue(SelectedTextProperty, value); }
        }

        // A reference to the date picker's textbox control.
        private DatePickerTextBox m_textBox;

        // Using a DependencyProperty as the backing store for SelectedText.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty SelectedTextProperty =
            DependencyProperty.Register("SelectedText", typeof(string), typeof(CustomDatePicker), new PropertyMetadata(""));
        
        public override void OnApplyTemplate()
        {
            base.OnApplyTemplate();
            m_textBox = this.GetTemplateChild("TextBox") as DatePickerTextBox;
            m_textBox.SelectionChanged += new RoutedEventHandler(tboxSelectionChanged);
        }

        void tboxSelectionChanged(object sender, RoutedEventArgs e)
        {
            // Update the selected text indicator.
            SelectedText = (sender as DatePickerTextBox).SelectedText;
        }
    }
}
